DBFCREATE(1)

NAME
dbfcreate - Create an empty xBase DBF file

##SYNOPSIS dbfcreate xbase_file [[-s field_name width] | [-n field_name width decimals],...]

##DESCRIPTION Creates an empty DBF file called xbase_file with columns described by all the -s and -n options that follow.

##OPTIONS

xbase_file
    the name of xBase file to be created. Doesn't need the extension.

-s field_name width
    creates a string field with name field_name and size width.

-n field_name width decimals
    creates a numeric field with name field_name, width of width and with decimals places sized by decimals.

##EXAMPLE dbfcreate testbase -s NAME 20, -n AREA 9 3, -n VALUE 9 2

this will create a file named testbase.dbf with 3 fields: NAME (string (20)), AREA (float (9,3)) and VALUE (float (9,2))

##EXIT STATUS

0   Successful program execution.

1   Missing xbase_file argument.

2   Failed to create the file xbase_file for writing.

3   Missing field_name, width, or decimals argument for a -s or -n option.

4   Failed to add a column given by a -s or -n option.

##DIAGNOSTICS The following diagnostics may be issued on stdout:

DBFCreate(xbase_file) failed.

DBFAddField(field_name,FTString,width,0) failed.

DBFAddField(field_name,FTDouble,width,decimals) failed.

Argument incomplete, or unrecognised: arg

##AUTHOR dbfcreate is part of shapelib, maintained by Frank Warmerdam. This guide was created by Eduardo Patoo Kanegae and converted to manpage by Johan Van de Wauw. It was further enhanced with the man page written by Joonas Pihlaja (jpihlaja@cc.helsinki.fi).

##SEE ALSO dbfadd(1), dbfcat(1), dbfdump(1), dbfinfo(1), shpadd(1), shpcat(1), shpcentrd(1), shpcreate(1), shpdump(1), shpdxf(1), shpfix(1), shpinfo(1), shpproj(1), shprewind(1), shptest(1)